
import java.util.*;

import org.hibernate.Session;
import org.hibernate.Hibernate;
import org.hibernate.Transaction;

public class SimpleRetrieveTest {
	
	
	public static void main(String[] args) {
		HibernateUtil.setup("create table EVENTS ( uid int, name VARCHAR, start_Date date, duration int, location_id int);");
		HibernateUtil.setup("create table locations ( uid int, name VARCHAR, address VARCHAR);");
		// hibernate code start
		Session session = HibernateUtil.currentSession();
		Transaction tx = session.beginTransaction();


        Location location = new Location();
        location.setName("USA");
        location.setAddress("Address");
        session.save(location);


        Event e= new Event();
        e.setId(11111L);
        e.setName("testSave");
        e.setStartDate(new Date());
        e.setLocation(location);
        e.setName("testSave");

		session.save(e);

        Iterator iter =  session.createQuery("select e.location from Event e where e.name=?").setString(0, "testSave").iterate();
		
        while ( iter.hasNext() ) {
            Location qux = (Location) iter.next();  // fetch the object
            // something we couldnt express in the query
            System.out.println(qux.getName());
        }		
		tx.commit();
		HibernateUtil.closeSession();

		HibernateUtil.sessionFactory.close();

		// hibernate code end
	}
}